Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002790TestLinkReportspublic2009-08-07 20:152011-11-19 09:53
Reporteruhi 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0002790: testcase XML-import fails during update of existing testcases
Description1. first XML import of a testcase is ok
2. if the same testcase (with changed content) will be imported again with
option "Update data of Latest version" testlink reports a SQL error
--> TCs will not be imported
Additional InformationTraces:
-------
ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds
to your MySQL server version for the right syntax to use near `` at line 1 -
SELECT value FROM cfield_design_values WHERE field_id=1 AND node_id=

THE MESSAGE :: SQL [22] executed [took 0.0012 secs][all took 0.0796 secs]:
SELECT value FROM cfield_design_values WHERE field_id=1 AND node_id= Query
failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the
manual that corresponds to your MySQL server version for the right syntax to use
near `` at line 1

( ! ) Fatal error: Call to a member function RecordCount() on a non-object in
/home/lb_uhi/devel/apache2.2/htdocs/testlink/lib/functions/database.class.php on
line 443
Call Stack
# Time Memory Function Location
1 0.0053 293568 {main}( ) ../tcImport.php:0
2 0.1768 6244984 importTestCaseDataFromXML( ) ../tcImport.php:110
3 0.1782 6246888 importTestCases( ) ../tcImport.php:196
4 0.1816 6265384 saveImportedTCData( ) ../tcImport.php:219
5 0.2401 7308416 processCustomFields( ) ../tcImport.php:447
6 0.2401 7308416 cfield_mgr->design_values_to_db( ) ../tcImport.php:916
7 0.2417 7308712 database->num_rows( ) ../cfield_mgr.class.php:766
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox
PHP Version5.2
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon tcImport.php [^] (29,823 bytes) 2009-08-21 16:23

- Relationships

-  Notes
(0007815)
uhi (reporter)
2009-08-21 16:25

Bug fix proposal. Please check the attached file.

- Issue History
Date Modified Username Field Change
2009-08-07 20:15 uhi New Issue
2009-08-07 20:15 uhi Browser => Firefox
2009-08-07 20:15 uhi PHP Version => 5.2
2009-08-21 16:23 uhi File Added: tcImport.php
2009-08-21 16:25 uhi Note Added: 0007815
2011-11-19 09:53 fman Status new => closed
2011-11-19 09:53 fman Resolution open => fixed
2011-11-19 09:53 fman Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker